package com.netsdk;

import com.netsdk.lib.NetSDKLib;
import com.netsdk.lib.callback.impl.DefaultDisconnectCallback;
import com.netsdk.lib.callback.impl.DefaultHaveReconnectCallBack;
import com.netsdk.module.BaseModule;
import com.netsdk.module.entity.DeviceInfo;

/**
 * @author 47081
 * @version 1.0
 * @description
 * @date 2021/3/17
 */
public class SDKTest {
  public static void main(String[] args) {
      BaseModule baseModule=new BaseModule();
      baseModule.init(DefaultDisconnectCallback.getINSTANCE(), DefaultHaveReconnectCallBack.getINSTANCE(),true);
      DeviceInfo info=baseModule.login("172.23.12.14",37777,"admin","admin123");
      baseModule.logout(info.getLoginHandler());
      baseModule.clean();
  }
}
